import 'package:flutter/material.dart';

class RecupFilterButton extends StatelessWidget {
  final void Function()? onPressed;
  final String text;
  final bool isSelect;
  const RecupFilterButton(
      {Key? key, this.onPressed, this.text = '', this.isSelect = false})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);

    double calcWidthSizeText() {
      return (60 + (text.length * 7)).toDouble();
    }

    return Container(
      height: 25,
      width: calcWidthSizeText(),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(100),
        border: Border.all(
            color: isSelect ? theme.colorScheme.primary : theme.disabledColor,
            width: 2),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: [
          Text(
            text,
            overflow: TextOverflow.ellipsis,
            maxLines: 1,
            style: theme.textTheme.labelSmall?.copyWith(
              color: isSelect ? theme.colorScheme.primary : theme.disabledColor,
            ),
          ),
          Row(
            children: [
              SizedBox(
                height: 15,
                child: RotatedBox(
                  quarterTurns: 1,
                  child: Divider(
                    thickness: 1,
                    color: isSelect
                        ? theme.colorScheme.primary
                        : theme.disabledColor,
                  ),
                ),
              ),
              Icon(
                Icons.add,
                color:
                    isSelect ? theme.colorScheme.primary : theme.disabledColor,
              ),
            ],
          ),
        ],
      ),
    );
  }
}
