import 'package:flutter/material.dart';
import 'package:get/get.dart';

class RecupMaterialApp extends StatelessWidget {
  final Bindings? initialBinding;
  final String? initialRoute;
  final ThemeMode themeMode;
  final Widget? home;
  final ThemeData? darkTheme;
  final ThemeData? theme;
  final Iterable<LocalizationsDelegate<dynamic>>? localizationsDelegates;

  final List<GetPage<dynamic>>? getPages;
  const RecupMaterialApp({
    Key? key,
    this.initialBinding,
    this.initialRoute,
    this.getPages,
    this.home,
    this.themeMode = ThemeMode.system,
    this.darkTheme,
    this.theme,
    this.localizationsDelegates,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: "Recup",
      localizationsDelegates: localizationsDelegates,
      debugShowCheckedModeBanner: false,
      initialBinding: initialBinding,
      initialRoute: initialRoute,
      darkTheme: darkTheme,
      theme: theme,
      themeMode: themeMode,
      getPages: getPages,
      home: home,
    );
  }
}
